package com.liang.service;

import com.liang.entity.PrjContract;
import com.liang.entity.PrjPayplan;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 付款计划(PrjPayplan)表服务接口
 *
 * @author makejava
 * @since 2023-06-06 13:16:05
 */
public interface PrjPayplanService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjPayplan queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjPayplan  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<PrjPayplan> queryByPage(PrjPayplan prjPayplan, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjPayplan 实例对象
     * @return 实例对象
     */
    int insert(PrjPayplan prjPayplan);

    /**
     * 修改数据
     *
     * @param prjPayplan 实例对象
     * @return 实例对象
     */
    int update(PrjPayplan prjPayplan);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 批量删除付款计划
     *
     * @param idList
     * @return
     */
    int batchDelete(List<Integer> idList);

    /**
     * 获取付款计划列表
     *
     * @return
     */
    List<PrjPayplan> getPayPlanList(Integer ht);

    int insertBatch(List<PrjPayplan> prjPayplanList);

    void deleteByHtId(Integer ht);
}
